schema {
    query: Query
    mutation: Mutation
}

type Mutation {

	addTeamToPlace(place_id: ID team_id: ID): Place
	removeTeamFromPlace(place_id: ID team_id: ID): Place
	setChatToPlace(place_id: ID chat_id: ID): Place
	addTeamToPlace(place_id: ID team_id: ID): Place
	removeTeamFromPlace(place_id: ID team_id: ID): Place
	setModerator(user_id: ID enabled: Boolean): User
}

scalar DateTime
scalar EmailAddress
scalar URL

type User{

    title: String
}

##Place

input PlaceInput{
    title: String
    description: String
    chat_url: String
    owner_id: ID
	members_id: [ID]
	teams_ids: [ID]
	longitude: Float
	latitude: Float
	type: String
	geo: [Float]
	address: String
}

extend type Place{
	teams: [Team]
	chat: Chat
}